> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List fee templates

> Get paginated list of fee templates




## OpenAPI

````yaml openapi-v1.json get /fee_templates
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /fee_templates:
    summary: Fees
    get:
      tags:
        - Fees
      summary: List fee templates
      description: |
        Get paginated list of fee templates
      operationId: listFeetemplates
      parameters:
        - $ref: '#/components/parameters/fee_template_id_query'
        - $ref: '#/components/parameters/fee_template_subtype_query'
        - $ref: '#/components/parameters/fee_template_sort_by_query'
        - $ref: '#/components/parameters/fee_template_is_enabled_query'
        - $ref: '#/components/parameters/page_token'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/fee_template_description_query'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/fee_template_list'
          description: List of fee templates
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    fee_template_id_query:
      description: >
        Return fee templates with the specified id. Multiple IDs can be provided
        as a comma-separated list.
      explode: false
      in: query
      name: id
      schema:
        example: >-
          64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157
        items:
          format: uuid
          type: string
        type: array
      style: form
    fee_template_subtype_query:
      explode: false
      in: query
      name: subtype
      schema:
        $ref: '#/components/schemas/fee_subtype'
      style: form
    fee_template_sort_by_query:
      description: |
        Specifies the sort order for the returned fee templates.
      explode: false
      in: query
      name: sort_by
      schema:
        items:
          enum:
            - amount:asc
            - amount:desc
            - description:asc
            - description:desc
            - is_enabled:asc
            - is_enabled:desc
            - last_updated_time:asc
            - last_updated_time:desc
          type: string
        type: array
      style: form
    fee_template_is_enabled_query:
      description: Return fee templates with the specified is_enabled flag.
      in: query
      name: is_enabled
      schema:
        type: boolean
    page_token:
      in: query
      name: page_token
      schema:
        description: >-
          Optional pagination token to be provided to retrieve subsequent pages,
          returned from previous get
        example: a8937a0d
        type: string
    limit:
      in: query
      name: limit
      schema:
        default: 100
        description: >
          Maximum number of objects to return per page. If the limit is greater
          than 100, then it will be set to 100.
        example: 100
        minimum: 1
        type: integer
    fee_template_description_query:
      description: >-
        Return fee templates with the specified description. A * character can
        be used as a wildcard to match any characters.
      example: Premium Customer ATM Fee
      in: query
      name: description
      schema:
        type: string
  schemas:
    fee_template_list:
      allOf:
        - properties:
            fee_templates:
              description: Array of fee templates
              items:
                $ref: '#/components/schemas/fee_template_response'
              type: array
          required:
            - fee_templates
          type: object
        - $ref: '#/components/schemas/paginated_response'
      title: List of fee templates
    fee_subtype:
      description: |
        A short string representing the sub-type of the fee.
        This will be used as the subtype of the resulting transaction.
      enum:
        - ACCOUNT_FUNDING_AFT
        - ACCOUNT_FUNDING_AFT_REVERSAL
        - ACH_INCOMING_TRANSFER
        - ACH_INCOMING_TRANSFER_REVERSAL
        - ACH_OUTGOING_TRANSFER
        - ACH_OUTGOING_TRANSFER_REVERSAL
        - APPLICATION
        - APPLICATION_REVERSAL
        - ATM_BALANCE_INQUIRY
        - ATM_BALANCE_INQUIRY_REVERSAL
        - ATM_WITHDRAWAL
        - ATM_WITHDRAWAL_REVERSAL
        - BALANCE_TRANSFER
        - BALANCE_TRANSFER_REVERSAL
        - BILL_PAY
        - BILL_PAY_REVERSAL
        - CARD_DELIVERY
        - CARD_DELIVERY_REVERSAL
        - CARD_REPLACEMENT
        - CARD_REPLACEMENT_REVERSAL
        - CASH_ADVANCE
        - CASH_ADVANCE_REVERSAL
        - CASH_DEPOSIT
        - CASH_DEPOSIT_REVERSAL
        - CHECK_ISSUANCE
        - CHECK_ISSUANCE_REVERSAL
        - CROSS_BORDER_TRANSACTION
        - CROSS_BORDER_TRANSACTION_REVERSAL
        - EFT_TRANSFER
        - EFT_TRANSFER_REVERSAL
        - FOREIGN_ATM
        - FOREIGN_ATM_REVERSAL
        - FOREIGN_TRANSACTION
        - FOREIGN_TRANSACTION_REVERSAL
        - INACTIVITY
        - INACTIVITY_REVERSAL
        - LATE_PAYMENT
        - LATE_PAYMENT_REVERSAL
        - MAINTENANCE
        - MAINTENANCE_REVERSAL
        - MISCELLANEOUS
        - MISCELLANEOUS_REVERSAL
        - ORIGINATION
        - ORIGINATION_REVERSAL
        - OVERDRAFT
        - OVERDRAFT_REVERSAL
        - OVER_THE_LIMIT
        - OVER_THE_LIMIT_REVERSAL
        - RETURNED_ITEM
        - RETURNED_ITEM_REVERSAL
        - RETURNED_PAYMENT
        - RETURNED_PAYMENT_REVERSAL
        - STOP_PAYMENT
        - STOP_PAYMENT_REVERSAL
        - SUBSCRIPTION
        - SUBSCRIPTION_REVERSAL
        - WIRE_TRANSFER
        - WIRE_TRANSFER_REVERSAL
      type: string
    fee_template_response:
      allOf:
        - properties:
            creation_time:
              description: The timestamp representing when the fee template was created
              example: '2010-05-06T12:23:34.321Z'
              format: date-time
              readOnly: true
              type: string
            id:
              description: The ID of the fee template.
              example: 85943c51-e4ff-4e57-9558-08cab6b96364
              format: uuid
              type: string
            last_updated_time:
              description: >-
                The timestamp representing when the fee template was last
                modified
              example: '2010-05-06T12:23:34.321Z'
              format: date-time
              readOnly: true
              type: string
            subtype:
              $ref: '#/components/schemas/fee_subtype'
            tenant:
              $ref: '#/components/schemas/tenant_id'
        - $ref: '#/components/schemas/fee_template_base'
      required:
        - creation_time
        - currency
        - id
        - internal_account_id
        - is_enabled
        - last_updated_time
        - subtype
        - tenant
      title: fee template response object
      type: object
    paginated_response:
      properties:
        next_page_token:
          description: >-
            If returned, use the next_page_token to query for the next page of
            results. Not returned if there are no more rows.
          example: a8937a0d
          type: string
      title: Paginated List response
      type: object
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    fee_template_base:
      properties:
        amount:
          description: >
            The default amount of the fee in ISO 4217 minor currency units, e.g.
            cents.

            The internal account will be debited this amount.

            Can be overridden when creating a fee.
          example: 1000
          type: integer
        currency:
          description: >-
            currency for the fee, as a three character ISO 4217 alphabetic
            currency code.
          example: USD
          type: string
        description:
          description: The description of the fee template.
          example: Premium Customer ATM Fee
          type: string
        internal_account_id:
          description: >-
            The ID of default internal_account to use as the destination of the
            fee transfer. Cannot be a system internal account.
          example: 42943c51-e4ff-4e57-9558-08cab6b963c8
          format: uuid
          type: string
        is_enabled:
          description: |
            Whether the fee template is enabled.
            If false, fees cannot be created from this template.
          example: true
          type: boolean
        metadata:
          $ref: '#/components/schemas/metadata'
      title: Common properties for fee template schemas
      type: object
    metadata:
      description: >
        Optional field to store additional information about the resource.
        Intended to be used by the integrator to store non-sensitive data.
      type: object
  responses:
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````